Moodle release 3.10.2
[moodle.git] / local / upgrade.txt
CommitLineData
a69ba70d
DM
1This file describes API changes for the plugins of the type 'local'.
2
cbe1b861
DP
3=== 3.1 ===
4
5* Navigation API callbacks local_<plugin>_extends_navigation() and local_<plugin>_extends_settings_navigation() have been removed.
6 Please rename them to local_<plugin>_extend_navigation() and local_<plugin>_extend_settings_navigation() respectively.
7
a69ba70d
DM
8=== 2.9 ===
9
10* Navigation API callbacks local_<plugin>_extends_navigation() and local_<plugin>_extends_settings_navigation() are deprecated.
11 Please rename them to local_<plugin>_extend_navigation() and local_<plugin>_extend_settings_navigation() respectively. The
12 deprecated variant will be supported in 2.9 and 3.0 and then the support will be dropped.
13* Definitely dropped support for the original <plugin>_extends_navigation() that has been deprecated since 2.3.